# -*- encoding: utf-8 -*-

import pytest
import re

from lib.su import Su
from lib.version import __version__

class TestSu:
    def test_version(self):
        assert __version__ == Su.version()
        assert type(Su.version()) == str

    def test_name(self):
        assert type(Su.name()) == str

    def test_short_name(self):
        assert type(Su.short_name()) == str

    def test_name_and_version(self):
        assert re.search(Su.name(), Su.name_and_version()) != None
        assert re.search(Su.version(), Su.name_and_version()) != None
